DatacenterSyncWriteResponseHandler (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class DatacenterSyncWriteResponseHandler

    java.lang.Object
      org.apache.cassandra.service.AbstractWriteResponseHandler
          org.apache.cassandra.service.DatacenterSyncWriteResponseHandler

All Implemented Interfaces:
  IAsyncCallback, IMessageCallback, IWriteResponseHandler

    public class DatacenterSyncWriteResponseHandler

extends AbstractWriteResponseHandler

This class blocks for a quorum of responses _in all datacenters_ (CL.EACH_QUORUM).

Field Summary

Fields inherited from class org.apache.cassandra.service.AbstractWriteResponseHandler
`condition, consistencyLevel, startTime, writeEndpoints`

Constructor Summary
`protected` | `DatacenterSyncWriteResponseHandler(java.util.Collection<java.net.InetAddress> writeEndpoints, ConsistencyLevel consistencyLevel, java.lang.String table)`

Method Summary
`void` | `assureSufficientLiveNodes()`
`static IWriteResponseHandler` | `create(java.util.Collection<java.net.InetAddress> writeEndpoints, ConsistencyLevel consistencyLevel, java.lang.String table)`
`boolean` | `isLatencyForSnitch()`
`void` | `response(Message message)` null message means "response from local write"

Methods inherited from class org.apache.cassandra.service.AbstractWriteResponseHandler
`get`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatacenterSyncWriteResponseHandler

    protected DatacenterSyncWriteResponseHandler(java.util.Collection<java.net.InetAddress> writeEndpoints,
                                                 ConsistencyLevel consistencyLevel,
                                                 java.lang.String table)

Method Detail

### create

    public static IWriteResponseHandler create(java.util.Collection<java.net.InetAddress> writeEndpoints,
                                               ConsistencyLevel consistencyLevel,
                                               java.lang.String table)

### response

    public void response(Message message)

  Description copied from class: `AbstractWriteResponseHandler`
  null message means "response from local write"

  Specified by:
    `response` in interface `IAsyncCallback`
  Specified by:
    `response` in class `AbstractWriteResponseHandler`
  Parameters:
    `message` - response received.

### assureSufficientLiveNodes

    public void assureSufficientLiveNodes()
                                   throws UnavailableException

  Specified by:
    `assureSufficientLiveNodes` in interface `IWriteResponseHandler`
  Specified by:
    `assureSufficientLiveNodes` in class `AbstractWriteResponseHandler`
  Throws:
    `UnavailableException`

### isLatencyForSnitch

    public boolean isLatencyForSnitch()

  Returns:
    true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation